#include "mainwindow.h"

MainWindow::MainWindow(const QString slang)
{
	m_menu = new QMenuBar( this );
	m_status = new QStatusBar ( this );
	
	m_fileMenu = m_menu->addMenu(tr("&File"));
	
	m_exit_act = m_fileMenu->addAction("E&xit" );
	m_exit_act->setShortcut(tr("Ctrl+Q"));
	m_exit_act->setStatusTip(tr("Exit the application"));

	connect(m_exit_act, SIGNAL(triggered()), 
	         qApp, SLOT(closeAllWindows()));

    setWindowTitle(tr("SampleWindow") + "-" + slang );

	resize(400, 300);
}


bool MainWindow::event(QEvent *event)
{
	switch (event->type()) {
	case QEvent::StatusTip:
		m_status->showMessage(static_cast<QStatusTipEvent*>(event)->tip());
		return true;
	default:
		break;
	}
	return QWidget::event(event);
}
void MainWindow::resizeEvent ( QResizeEvent * event )
{
	m_status->setGeometry(QRect(0, height()-20, width (), 20));
}
