#include "mainwindow.h"

struct __greeting3 {
	const char *source; const char *comment;
};

static __greeting3  transfer_strings3[] =
{
	 QT_TRANSLATE_NOOP3("classname_sample3", "Hello3", "hello"),
	 QT_TRANSLATE_NOOP3("classname_sample3", "Hello3", "goodbye")
};

static const char *transfer_strings2[] = {
     QT_TRANSLATE_NOOP("classname_sample2", "Hello2"),
     QT_TRANSLATE_NOOP("classname_sample2", "Goodbye2")
};

static const char *transfer_strings1[] = {
     QT_TR_NOOP("Hello1"),
     QT_TR_NOOP("Goodbye1")
};

QString g_transfer1(int type)
{
	return qApp->translate("",transfer_strings1[type]);
}
QString g_transfer2(int type)
{
	return qApp->translate("classname_sample2",transfer_strings2[type]);
}
QString g_transfer3(int type)
{
	return qApp->translate("classname_sample3",
	    transfer_strings3[type].source,
	    transfer_strings3[type].comment);
}
/* TRANSLATOR TESTINT::MainWindow */

using namespace TESTINT;

QString MainWindow::transfer1(int type)
{
	return tr(transfer_strings1[type]);
}
QString MainWindow::transfer2(int type)
{
	return tr(transfer_strings2[type]);
}
QString MainWindow::transfer3_source(int type)
{
	return tr(transfer_strings3[type].source);
}
QString MainWindow::transfer3_comment(int type)
{
	return tr(transfer_strings3[type].comment);
}


MainWindow::MainWindow()
{
	m_menu = new QMenuBar( this );
	m_status = new QStatusBar ( this );
	
	m_fileMenu = m_menu->addMenu(tr("&File"));
	
	//	start add dynamic transfer.
	m_fileMenu->addAction(g_transfer1(0) );
	m_fileMenu->addAction(g_transfer1(1) );

	m_fileMenu->addAction(transfer2(0) );
	m_fileMenu->addAction(transfer2(1) );

	QAction *pa;
	pa=m_fileMenu->addAction(g_transfer3(0) );
	pa->setStatusTip(g_transfer3(0) );

	pa=m_fileMenu->addAction(g_transfer3(1) );
	pa->setStatusTip(g_transfer3(1) );
	//	end add dynamic transfer.

	m_exit_act = m_fileMenu->addAction("E&xit" );
	m_exit_act->setShortcut(tr("Ctrl+Q"));
	m_exit_act->setStatusTip(tr("Exit the application"));


	connect(m_exit_act, SIGNAL(triggered()), 
	         qApp, SLOT(closeAllWindows()));
	connect(m_fileMenu, SIGNAL(aboutToShow()),
	         this, SLOT(updateMenus()));

    setWindowTitle(tr("SampleWindow"));

	m_active=true;
	
	resize(400, 300);
}

void MainWindow::updateMenus()
{
	m_exit_act->setEnabled(m_active);
	m_active=!m_active;
}

bool MainWindow::event(QEvent *event)
{
	switch (event->type()) {
	case QEvent::StatusTip:
		m_status->showMessage(static_cast<QStatusTipEvent*>(event)->tip());
		return true;
	default:
		break;
	}
	return QWidget::event(event);
}
void MainWindow::resizeEvent ( QResizeEvent * event )
{
	m_status->setGeometry(QRect(0, height()-20, width (), 20));
}
